# H245_CloseLogicalChannel Class Reference

`#include <h245.h>`

Inheritance diagram for H245_CloseLogicalChannel:

List of all members.

## Public Types

enum | OptionalFields { e_reason }

## Public Member Functions

| H245_CloseLogicalChannel (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_LogicalChannelNumber | m_forwardLogicalChannelNumber
H245_CloseLogicalChannel_source | m_source
H245_CloseLogicalChannel_reason | m_reason

## Member Enumeration Documentation

enum H245_CloseLogicalChannel::OptionalFields

Enumerator:

  e_reason |

## Constructor & Destructor Documentation

H245_CloseLogicalChannel::H245_CloseLogicalChannel | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_CloseLogicalChannel::GetDataLength | ( |  | ) | const

PBoolean H245_CloseLogicalChannel::Decode | ( | PASN_Stream & | strm | ) |

void H245_CloseLogicalChannel::Encode | ( | PASN_Stream & | strm | ) | const

void H245_CloseLogicalChannel::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_CloseLogicalChannel::Compare | ( | const PObject & | obj | ) | const

PObject* H245_CloseLogicalChannel::Clone | ( |  | ) | const

## Member Data Documentation

H245_LogicalChannelNumber H245_CloseLogicalChannel::m_forwardLogicalChannelNumber

H245_CloseLogicalChannel_source H245_CloseLogicalChannel::m_source

H245_CloseLogicalChannel_reason H245_CloseLogicalChannel::m_reason

The documentation for this class was generated from the following file:

- h245.h